commit:     4473f3a6338ff271d2f42f956de3e5d26509b51c
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Thu Feb 25 17:57:23 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Feb 26 14:26:05 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4473f3a6

net-misc/pyhoca-cli: Port to python 3.{8,9}

Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-misc/pyhoca-cli/pyhoca-cli-0.6.1.2.ebuild | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

diff --git a/net-misc/pyhoca-cli/pyhoca-cli-0.6.1.2.ebuild 
b/net-misc/pyhoca-cli/pyhoca-cli-0.6.1.2.ebuild
index 3f2ee619345..107198b5c85 100644
--- a/net-misc/pyhoca-cli/pyhoca-cli-0.6.1.2.ebuild
+++ b/net-misc/pyhoca-cli/pyhoca-cli-0.6.1.2.ebuild
@@ -3,21 +3,26 @@
 
 EAPI=7
 
-PYTHON_COMPAT=( python3_7 )
+PYTHON_COMPAT=( python3_{7..9} )
 inherit distutils-r1
 
 DESCRIPTION="X2Go command line client"
 HOMEPAGE="http://www.x2go.org";
 SRC_URI="http://code.x2go.org/releases/source/${PN}/${P}.tar.gz";
 
-LICENSE="AGPL-3"
+LICENSE="AGPL-3+"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE=""
 
-DEPEND="dev-python/setproctitle[${PYTHON_USEDEP}]
+RDEPEND="
+       dev-python/setproctitle[${PYTHON_USEDEP}]
        >=net-misc/python-x2go-0.6.1.1[${PYTHON_USEDEP}]"
-RDEPEND="${DEPEND}"
+
+python_prepare_all() {
+       # we don't need setuptools at runtime
+       sed -i -e '/install_requires/d' setup.py || die
+       distutils-r1_python_prepare_all
+}
 
 python_install() {
        distutils-r1_python_install

Reply via email to